<?php

	require_once('libgmailer.php');
	require_once('workhorse.php');

	$tempdir = "temp/"; // location of your temp directory followed by a /

	@ini_set('session.name' , 'GMAILSESSID');
	$sessid = @session_id();
	if (empty($sessid))
		session_start();

	if (isset($_SESSION['gm']))
		$gm = $_SESSION['gm'];
	else
	{
		$username = $_POST['username'];
		$password = $_POST['password'];
		$tz = -5; // CST

		$gm = new GMailer();
		$gm->setLoginInfo($username, $password, $tz);
	}

	$username = $gm->getUserName();

	if (!$gm->isConnected())
		$gm->connect();

	if (!$gm->isConnected())
		header("Location: logout.php?error=1");

	$action = $_REQUEST['act'];

	$currA = $_GET['a'];
	$currF = $_GET['f'];
	$currN = $_GET['n'];

	switch ($action)
	{
		case "delete":

			$id = $_REQUEST['id'];
			$gm->performAction(GM_ACT_DELFOREVER, $id, "");

			header("Location: main.php");

			break;
		
		case "rename":

			$a = $_REQUEST['a'];
			$f = $_REQUEST['f'];
			$n = $_REQUEST['n'];
			$nn = $_REQUEST['newName'];

			$email = $username .  "@gmail.com";
			$from = $username . "@gmail.com";

			$fileLocation = @gfile_rename($a, $f, $n, $nn);

			gfile_send_file($email, $from, $fileLocation);
			$gm->performAction(GM_ACT_DELFOREVER, $f, "");
						
			unlink($tempdir . $nn);

			header("Location: main.php");

			break;

		case "upload":

			$dirLocation = $tempdir;
			$fileLocation = $dirLocation . $_FILES['file']['name'];

			$email = $username .  "@gmail.com";
			$from = $username . "@gmail.com";

			if (move_uploaded_file($_FILES['file']['tmp_name'], $fileLocation))
			{
				gfile_send_file($email, $from, $fileLocation);
				unlink($fileLocation);	
			}

			header("Location: main.php");

			break;

		case "download":

			gfile_fetch_file($_GET['a'],$_GET['f'],$_GET['n']);
			break;
			
		case "display":
		
			gfile_display_image($_GET['a'], $_GET['f'], $_GET['n'], $_GET['height'], $_GET['width']);

		default:

			?>

			<?php echo "<?xml version=\"1.0\" encoding=\"iso-8859-1\"?".">"; ?>

			<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
			<html xmlns="http://www.w3.org/1999/xhtml">

				<head>
					
					<title>G-File</title>
					<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
					<link href="styles.css" rel="stylesheet" type="text/css" />
					
					<script language="JavaScript">
					
						function menu(a, f, n)
						{
							document.getElementById('menu').src = "menu.php?a=" + a + "&f=" + f + "&n=" + n;
						}
						
					</script>
					
				</head>
				
				<body>

					<div id="main">

						<div id="header">

							<div id="title"><img src="images/logo.png" /></div>
							
							<div id="login">logged in as <?php echo $username; ?> | <a href="logout.php">logout</a></div>

							<div id="upload">
								<form action="main.php" method="post" enctype="multipart/form-data">
									upload new file:
									<input type="file" name="file" class="file" />
									<input type="submit" name="submit" value="Submit" class="submit" />
									<input type="hidden" name="act" value="upload" />
								</form>
							</div>

							<div id="refresh"><a href="main.php"><img src="images/refresh.png" border="no" alt="refresh" /></a></div>

						</div>

						<div id="files">
					
							<table cellpadding="0" cellspacing="1">
						
								<tr class="white">
									<td class="fileCaption">file</td>
									<td class="otherCaption">size</td>
									<td class="otherCaption">date</td>
								</tr>
								
								<form action="main.php" method="post">
			
								<?

								$_SESSION['gm'] = $gm;
								
								$gm->fetchBox(GM_STANDARD, "inbox", 0);
								$snapshot = $gm->getSnapshot(GM_STANDARD);
								
								$mb = $snapshot->quota_mb;
								$percent = $snapshot->quota_per;
									
								$color = "white";
							
								if (count($snapshot->box)>0)
								{
									foreach($snapshot->box as $box)
									{							
										$gm->fetchBox(GM_CONVERSATION, $box['id'], 0);
										$conv = $gm->getSnapshot(GM_CONVERSATION);
										
										foreach($conv->conv[0]['attachment'] as $at)
										{
											if ($color == "grey")
												$color = "white";
											else
												$color = "grey";
											
											$id = $box['id'];
											$a = $at['id'];
											$f = $conv->conv[0]['id'];
											$file = $at['filename'];
											$size = $at['size'];
											$date = $box['date'];
																						
											?>
											
											<tr class="<? echo $color; ?>">
												<td class="fileData" height="25"><a href="javascript:menu('<?php echo $a; ?>', '<?php echo $f; ?>', '<?php echo $file; ?>');"><? echo $file; ?></a></td>
												<td class="otherData"><? echo $size; ?></td>
												<td class="otherData"><? echo $date; ?></td>
											</tr>
											
											<?
											
											}
										}

										?>
											
									</form>

									<?

									}
									else
									{
										?> <tr class="grey"><td height="30" colspan="4" class="centered">No Attachments found</td></tr> <?
									}

								?>

							</table>

						</div>
							
						<div id="menuWrapper"><iframe id="menu" src="menu.php?a=<?php echo $a; ?>&f=<?php echo $f; ?>&n=<?php echo $n; ?>" frameborder="no" scrolling="no"></iframe></div>

						<div id="footer">You have used <?php echo $mb; ?> of your 1000MB (<?php echo $percent; ?>)</div>

					</div>

				</body>
			</html>
			
			<?

			}

			?>
			
	